<?php
//?AQUI COMIENZA LA ORDEN DE PAGO

$folio = $_GET['folio'];
require '../../assets/lib/conexion.php';
require '../../assets/librerias/fpdf/fpdf.php';

$sqlOrden = "SELECT * FROM orden_pago AS OP
        INNER JOIN usuarios AS U ON U.id_usuario=OP.id_usuario
        INNER JOIN areas_administrativas AS AD ON U.id_area=AD.id_area
         WHERE OP.folio_orden = '$folio'";
$resultadoSql = $mysqli->query($sqlOrden);

$sqlConceptosPagar = "SELECT * FROM orden_pago AS OP
        INNER JOIN conceptos_pagar AS CPAGAR ON CPAGAR.id_orden= OP.id_orden 
        INNER JOIN concepto_recaudacion AS CR ON CPAGAR.id_concepto_recaudacion=CR.id_concepto_recaudacion 
         WHERE OP.folio_orden = '$folio'";
$resultadoConceptosPagar = $mysqli->query($sqlConceptosPagar);

$filaConcepto = mysqli_fetch_assoc($resultadoSql);
$nombre_area = $filaConcepto["nombre_area"];
$fecha_orden = $filaConcepto["fecha_orden"];

$pdf = new FPDF('P', 'mm', 'Letter');
$pdf->AddPage();


$pdf->Image('../../assets/img/avatars/orden de pago.png', 0, 0, $pdf->GetPageWidth(), 0);


$fechaFormateada = date('d / m / Y', strtotime($fecha_orden));



$pdf->Ln(20);
// Establecer fuente y tamaño
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(150, 5, 'FECHA: ', 0, 0, 'R');
$pdf->Cell(45, 5, $fechaFormateada, 1, 0, 'C');
$pdf->Ln(15);

$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(40, 5, utf8_decode('FOLIO NÚMERO: '), 0, 0, 'L');
$pdf->Cell(160, 5, utf8_decode($filaConcepto["folio_orden"]), 0, 0, 'L');
$pdf->Ln(7);

$pdf->Cell(40, 5, 'NOMBRE: ', 0, 0, 'L');
$pdf->Cell(160, 5, strtoupper(utf8_decode($filaConcepto["nombre_usuario"])), 0, 0, 'L');
$pdf->Ln(7);

$pdf->Cell(40, 5, utf8_decode('ÁREA RESPONSABLE: '), 0, 0, 'L');
$pdf->Cell(160, 5, strtoupper(utf8_decode($filaConcepto["nombre_area"])), 0, 0, 'L');
$pdf->Ln(7);

function convertirDecenasDeMillonALetra($numero)
{
    $unidades = array('', 'uno', 'dos', 'tres', 'cuatro', 'cinco', 'seis', 'siete', 'ocho', 'nueve', 'diez', 'once', 'doce', 'trece', 'catorce', 'quince', 'dieciséis', 'diecisiete', 'dieciocho', 'diecinueve');
    $decenas = array('', '', 'veinte', 'treinta', 'cuarenta', 'cincuenta', 'sesenta', 'setenta', 'ochenta', 'noventa');
    $centenas = array('', 'ciento', 'doscientos', 'trescientos', 'cuatrocientos', 'quinientos', 'seiscientos', 'setecientos', 'ochocientos', 'novecientos');

    if ($numero == 0) {
        return 'cero';
    } elseif ($numero < 0) {
        return 'menos ' . convertirDecenasDeMillonALetra(abs($numero));
    } elseif ($numero < 20) {
        return $unidades[$numero];
    } elseif ($numero < 100) {
        $decena = floor($numero / 10);
        $unidad = $numero % 10;
        if ($unidad == 0) {
            return $decenas[$decena];
        } else {
            return $decenas[$decena] . ' y ' . $unidades[$unidad];
        }
    } else if ($numero == 100) {
        return 'cien';
    } else if ($numero == 1000) {
        return 'mil';
    } else if ($numero < 1000) {
        $centena = floor($numero / 100);
        $resto = $numero % 100;
        if ($resto == 0) {
            return $centenas[$centena];
        } else {
            return $centenas[$centena] . ' ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 1000000) {
        $miles = floor($numero / 1000);
        $resto = $numero % 1000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($miles) . ' mil';
        } else {
            return convertirDecenasDeMillonALetra($miles) . ' mil ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 100000000) {
        $decenasDeMillon = floor($numero / 1000000);
        $resto = $numero % 1000000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones';
        } else {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones ' . convertirDecenasDeMillonALetra($resto);
        }
    } else {
        return 'Número fuera de rango';
    }
}

$numeroEnLetra = convertirDecenasDeMillonALetra($filaConcepto["total_orden"]);

$pdf->Cell(40, 5, utf8_decode('TOTAL CON LETRA: '), 0, 0, 'L');
$pdf->Cell(160, 5, strtoupper(utf8_decode($numeroEnLetra . ' PESOS 00/100 MXN')), 0, 0, 'L');
$pdf->Ln(10);

$pdf->Cell(30, 5, utf8_decode('CANTIDAD'), 1, 0, 'C');
$pdf->Cell(95, 5, strtoupper(utf8_decode('CONCEPTO A PAGAR')), 1, 0, 'C');
$pdf->Cell(35, 5, strtoupper(utf8_decode('IMPORTE')), 1, 0, 'C');
$pdf->Cell(35, 5, strtoupper(utf8_decode('SUBTOTAL')), 1, 0, 'C');
$pdf->Ln(5);

while ($row = $resultadoConceptosPagar->fetch_assoc()) {

    $importe_total = intval($row["cantidad"]) * intval($row['importe_concepto']);
    $pdf->Cell(30, 5, utf8_decode($row["cantidad"]), 1, 0, 'C');
    $pdf->Cell(95, 5, strtoupper(utf8_decode($row['descripcion_concepto_recaudacion'])), 1, 0, 'C');
    $pdf->Cell(35, 5, strtoupper(utf8_decode('$ ' . $row['importe_concepto'] . '.00 ')), 1, 0, 'C');
    $pdf->Cell(35, 5, strtoupper(utf8_decode('$ ' . $importe_total . '.00 ')), 1, 0, 'C');
    $pdf->Ln(5);
}
$pdf->Cell(30, 5, utf8_decode(''), 0, 0, 'L');
$pdf->Cell(95, 5, strtoupper(utf8_decode('')), 1, 0, 'L');
$pdf->Cell(35, 5, strtoupper(utf8_decode('TOTAL')), 1, 0, 'R');
$pdf->Cell(35, 5, strtoupper(utf8_decode('$ '.$filaConcepto["total_orden"].'.00')), 1, 0, 'C');
$pdf->Ln(5);
$pdf->Ln(15);

$pdf->SetFont('Arial', '', 9);
$pdf->SetFillColor(200, 200, 200);
//$pdf->MultiCell(196, 4, strtoupper(utf8_decode($numeroEnLetra)), 1, 'J');
$pdf->MultiCell(196, 5, utf8_decode('Nota: Esta orden de pago es de uso exclusivo para trámites y servicios en el Municipio de Venustiano Carranza, Puebla. No tiene validez oficial como comprobante legal o fiscal.'), 0, 'C', True);
$pdf->Ln(8);


$pdf->Output();
/*if (file_exists('../ordenes_de_pago/orden_de_pago_' . $folio . '.pdf')) {
    
}*/
