<?php session_start();
error_reporting(0);

$id_usuario = $_SESSION['idUser'];
require '../../assets/lib/conexion.php';

$Concpetos = "SELECT * FROM concepto_recaudacion";
$resultConcpetos = $mysqli->query($Concpetos); ?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/areas_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container">
                    <h3 class="text-dark mb-4">GENERAR ORDEN DE PAGO</h3>
                    <div class="card">
                        <div class="card-header">
                            <ul class="nav nav-tabs card-header-tabs">
                                <li class="nav-item"><a class="nav-link active" href="generarOrdenPago_view.php">Generar orden de pago</a></li>
                                <li class="nav-item"><a class="nav-link" href="bibliotecaOrdenes_view.php">Orden de pago: EMITIDAS</a></li>
                                <li class="nav-item"><a class="nav-link" href="bibliotecaOrdenesPagadas_view.php">Orden de pago: PAGADA</a></li>
                            </ul>
                        </div>
                        <div class="card-body">
                            <p class="card-text">Completa todos los campos para generar una orden de pago.</p>
                            <form id="formAgregarOrden">
                                <div class="row">
                                    <div class="col-md-10">
                                        <div class="row">
                                            <div class="col-9">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Contribuyente *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="text" id="nombreContribuyente" placeholder="Nombre del contribuyente" name="nombreContribuyente">
                                                </div>
                                            </div>
                                            <div class="col-3">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha de emisión *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaOrden" name="fechaOrden">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-8">
                                                <h6><b>Seleccionar Conceptos</b> </h6>


                                                <table id="conceptosTable" class="table table-hover table-bordered">
                                                    <thead>
                                                        <tr>
                                                            <th>ID</th>
                                                            <th>Descripción</th>
                                                            <th>Importe</th>
                                                            <th>Seleccionar</th>
                                                            <th>Cantidad</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php
                                                        if ($resultConcpetos->num_rows > 0) {
                                                            while ($row = $resultConcpetos->fetch_assoc()) {
                                                                echo "<tr>";
                                                                echo "<td>" . $row["id_concepto_recaudacion"] . "</td>";
                                                                echo "<td>" . $row["descripcion_concepto_recaudacion"] . "</td>";
                                                                echo "<td class='importe'>" . $row["importe_concepto"] . "</td>";
                                                                echo '<td><input type="checkbox" name="conceptos[]" class="concepto-checkbox form-check" value="' . $row["id_concepto_recaudacion"] . '"></td>';
                                                                echo '<td><input type="number" class="cantidad form-control" name="cantidades[]'  . $row["id_concepto_recaudacion"] . ']" value="0" min="0"></td>';
                                                                echo "</tr>";
                                                            }
                                                        } else {
                                                            echo "<tr><td colspan='5'>No hay conceptos disponibles</td></tr>";
                                                        }
                                                        ?>
                                                    </tbody>
                                                </table>
                                            </div>


                                        </div>



                                        <div class="row ">

                                            <p>Total: <span id="total">0.00</span></p>
                                            <input type="hidden" id="totalInput" name="total" readonly>
                                            <p id="mensaje"></p>
                                            <div class="mb-3">
                                                <button type="button" class="btn btn-danger" onclick="calcularTotal()">Calcular Total</button>
                                                <a class="btn btn-outline-primary d-none d-sm-inline-block" type="button" id="guardarOrden">
                                                    <i class="fas fa-save fa-sm text-white-100"></i> Generar orden de pago
                                                </a>
                                            </div>
                                        </div>


                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/areas_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
    <script src="../../assets/js/script/generarOrdenPago.js"></script>

    <script>
        function calcularTotal() {
            var total = 0;
            var conceptosSeleccionados = 0;

            var checkboxes = document.getElementsByClassName("concepto-checkbox");
            var cantidades = document.getElementsByClassName("cantidad");
            var importes = document.getElementsByClassName("importe");

            for (var i = 0; i < checkboxes.length; i++) {
                if (checkboxes[i].checked) {
                    conceptosSeleccionados++;
                    total += parseFloat(importes[i].textContent) * parseInt(cantidades[i].value);
                }
            }

            document.getElementById("total").textContent = total.toFixed(2);
            document.getElementById("totalInput").value = total.toFixed(2);

            if (conceptosSeleccionados === 0) {
                document.getElementById("mensaje").textContent = "Selecciona al menos un concepto.";
            } else if (conceptosSeleccionados > 1) {
                document.getElementById("mensaje").textContent = "Has seleccionado más de un concepto.";
            } else {
                document.getElementById("mensaje").textContent = "";
            }
        }

        
    </script>
</body>

</html>