<?php session_start();
error_reporting(0);

$id_usuario = $_SESSION['idUser'];
$id_area = $_SESSION['idArea'];
require '../../assets/lib/conexion.php';

?>
<!DOCTYPE html>
<html>
<style>
    table tr th:first-child,
    table tr td:first-child {
        display: none;
    }
</style>

<?php include '../../assets/lib/main_head.php';
?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/areas_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container">
                    <div class="card">
                        <div class="card-header">
                            <ul class="nav nav-tabs card-header-tabs">
                                <li class="nav-item"><a class="nav-link active" href="generarOrdenPago_view.php">Generar orden de pago</a></li>
                                <li class="nav-item"><a class="nav-link" href="bibliotecaOrdenes_view.php">Orden de pago: EMITIDAS</a></li>
                                <li class="nav-item"><a class="nav-link" href="bibliotecaOrdenesPagadas_view.php">Orden de pago: PAGADA</a></li>
                            </ul>
                        </div>
                        <div class="card-body">
                            <p class="card-text">Completa todos los campos para generar una orden de pago.</p>
                            <div class="container-fliud">
                                <form id="orderForm">
                                    <div class="row">
                                        <div class="col-md-9 mb-3">
                                            <label for="contribuyente" class="form-label">Nombre del Contribuyente</label>
                                            <input type="text" class="form-control" id="contribuyente" name="contribuyente" placeholder="Nombre completo del contribuyente" required>
                                        </div>
                                        <!-- Folio se autoincrementará en el backend -->
                                        <div class="col-md-3 mb-3">
                                            <label for="fechaEmision" class="form-label">Fecha de Emisión</label>
                                            <input type="date" class="form-control" id="fechaEmision" name="fechaEmision" required>
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="col-md-6">
                                            <div class="card">
                                                <div class="card-body">
                                                    <p class="card-text">Agrega los conceptos a la orden de pago.</p>
                                                    <div class="container-fluid">
                                                        <?php
                                                        // Incluir el archivo de conexión
                                                        require_once '../../assets/lib/conexion.php';

                                                        // Realizar consulta para obtener todos los productos
                                                        $query = "SELECT * FROM concepto_recaudacion WHERE id_area='$id_area'";
                                                        $resultado = $mysqli->query($query);
                                                        ?>

                                                        <div class="row">
                                                            <?php while ($producto = $resultado->fetch_assoc()) : ?>
                                                                <div class="col-md-4 mb-4"> <!-- Esta clase "col-md-4" hace que cada producto ocupe 1/3 del ancho en pantallas medianas y más grandes -->
                                                                    <div class="card">
                                                                        <div class="card-body">
                                                                            <h5 class="card-title"><?php //echo $producto['id_concepto_recaudacion'];
                                                                                                    ?></h5>
                                                                            <p class="" style="font-size: small;"><?php echo $producto['descripcion_concepto_recaudacion']; ?></p>
                                                                            <button type="button" class="btn btn-sm btn-primary agregarCarrito" data-id="<?php echo $producto['id_concepto_recaudacion']; ?>" data-nombre="<?php echo $producto['descripcion_concepto_recaudacion']; ?>">
                                                                                Agregar
                                                                            </button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            <?php endwhile; ?>
                                                        </div>

                                                    </div>


                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="card mb-2">
                                                <div class="card-body">
                                                    <table class="table table-sm table-bordered">
                                                        <thead>
                                                            <tr>
                                                                <th>Id</th>
                                                                <th>Concepto</th>
                                                                <th>Cantidad</th>
                                                                <th>Importe</th>
                                                                <th>Subtotal</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="carritoBody">
                                                            <!-- Aquí se agregará dinámicamente el contenido del carrito -->
                                                        </tbody>
                                                    </table>
                                                    <button id="limpiarCarritoBtn" type="button" class="btn btn-sm btn-danger mb-3">Limpiar Carrito</button>

                                                </div>
                                            </div>
                                            <div class="card">
                                                <div class="card-header">
                                                    <p id="totalCarrito" style="font-size:24px; color: black;">Total a pagar:</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="d-flex justify-content-center mt-4">
                                        <!-- Botón con el ícono para generar orden de pago -->
                                        <button id="generarOrdenBtn" type="button" class="btn btn-success">
                                            <i class="fas fa-file-invoice-dollar"></i> Generar Orden de Pago
                                        </button>
                                    </div>

                                </form>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/areas_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>

    <script>
        $(document).ready(function() {

            $("body").on("input", "#contribuyente", function() {
                let texto = $(this).val(); // Obtener el valor actual del input
                $(this).val(texto.toUpperCase()); // Convertir a mayúsculas y asignar de nuevo al input
            });

            $("body").on("keypress", ".importe, .cantidad", function(event) {
                // Obtener el código ASCII de la tecla presionada
                let charCode = event.which ? event.which : event.keyCode;

                // Permitir solo números y algunas teclas de control como Enter, Backspace y Tab
                if (charCode > 31 && (charCode < 48 || charCode > 57) && charCode !== 46 && charCode !== 8 && charCode !== 9) {
                    event.preventDefault(); // Prevenir la acción si no es un número o una tecla de control permitida
                }
            });


            // Evento para agregar producto al carrito
            $(".agregarCarrito").click(function() {
                let idProducto = $(this).data("id");
                let nombreProducto = $(this).data("nombre");

                // Crear una nueva fila para el carrito
                let nuevaFila = `
                <tr id="fila_${idProducto}" class="concepto">
                <td><input type="number" id="idConcepto" name="idConcepto" value="${idProducto}" class="form-control idConcepto"></td>
                    <td>${nombreProducto}</td>
                    <td><input type="text" id="cantidad" name="cantidad" class="form-control cantidad" required></td>
                    <td><input type="text" id="importe" name="importe" class="form-control importe" required></td>
                    <td><input type="text" class="form-control suma_subtotal" readonly></td>
                </tr>
            `;

                // Agregar fila al cuerpo del carrito
                $("#carritoBody").append(nuevaFila);
            });


            let totalCarrito = 0;
            $("body").on("input", ".form-control", function() {
                let fila = $(this).closest("tr"); // Obtener la fila actual
                let importe = parseFloat(fila.find("input[name^='importe']").val());
                let cantidad = parseInt(fila.find("input[name^='cantidad']").val());

                // Calcular el subtotal para esta fila
                let subtotal = importe * cantidad;

                // Actualizar el valor del subtotal en el input correspondiente
                fila.find(".suma_subtotal").val(subtotal.toFixed(2));
                totalCarrito = calculaTotalCarrito();
                // Calcular y mostrar el total general del carrito
                //let totalCarrito = 0;
                //$(".suma_subtotal").each(function() {
                //    totalCarrito += parseFloat($(this).val());
                //});
                $("#totalCarrito").text("Total a pagar: $" + totalCarrito.toFixed(2));
            });

            // Función para calcular el total del carrito
            function calculaTotalCarrito() {
                let total = 0;
                $(".suma_subtotal").each(function() {
                    total += parseFloat($(this).val());
                });
                return total;
            }

            $("#generarOrdenBtn").click(function() {
                // Capturar datos del formulario
                let nombreContribuyente = $("#contribuyente").val();
                let fechaEmision = $("#fechaEmision").val();


                // Ejemplo de cómo obtener los conceptos (asumiendo que hay un input o campo para cada concepto)
                let conceptos = [];
                $(".concepto").each(function() {
                    let idConcepto = parseFloat($(this).find(".idConcepto").val());
                    let importe = parseFloat($(this).find(".importe").val());
                    let cantidad = parseInt($(this).find(".cantidad").val());

                    conceptos.push({
                        idConcepto: idConcepto,
                        importe: importe,
                        cantidad: cantidad
                    });
                });

                if (nombreContribuyente == "") {
                    Swal.fire({
                        title: "Todos los campos * son obligatorios",
                        text: "Ingresa el nombre del contribuyente",
                        icon: "warning",
                    });
                } else if (fechaEmision == "") {
                    Swal.fire({
                        title: "Todos los campos * son obligatorios",
                        text: "Ingresa la fecha de emisión de la orden",
                        icon: "warning",
                    });
                } else if (conceptos.length === 0) {
                    Swal.fire({
                        title: "Opps",
                        text: "Agrega al menos un concpeto a la orden de pago",
                        icon: "warning",
                    });
                } else if (totalCarrito == 0) {
                    Swal.fire({
                        title: "Opps",
                        text: "El total de la la orden de pago no puedo ser $0.00",
                        icon: "warning",
                    });
                } else {
                    Swal.fire({
                        title: "Autorizar orden de pago",
                        icon: "warning",
                        html: '<label>¿Está seguro que desea autorizar la orden de pago? Verifica el total de los conceptos a pagar. </label><br><br><input type="password" id="password" class="form-control " placeholder="Ingrese su contraseña">',
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Autorizar",
                        cancelButtonText: "Cancelar",

                    }).then((result) => {
                        if (result.isConfirmed) {
                            const password = document.getElementById("password").value;
                            $.ajax({
                                url: "../model/verificarContraseñaModel.php",
                                type: "POST",
                                data: {
                                    password: password,
                                },
                                success: function(response) {
                                    if (response === "contraseña_correcta") {
                                        // Aquí se puede generar la orden

                                        $.ajax({
                                            url: '../controller/agregarOrden_controller2.php',
                                            method: 'POST',
                                            data: {
                                                contribuyente: nombreContribuyente,
                                                fecha: fechaEmision,
                                                conceptos: JSON.stringify(conceptos),
                                                totalCarrito: totalCarrito
                                            },
                                        }).done(function(respuesta) {
                                            console.log(respuesta);
                                            //en caso de que se caiga el sistema agregar mas 
                                            if (respuesta == "1" || respuesta == "11" || respuesta == "111" || respuesta == "1111" || respuesta == "11111" ||
                                                respuesta == "111111" || respuesta == "1111111" || respuesta == "11111111" || respuesta == "111111111" || respuesta == "1111111111") {
                                                Swal.fire({
                                                    icon: "success",
                                                    title: "Correcto!",
                                                    text: "Orden de pago generada correctamente...",
                                                    showConfirmButton: false,
                                                    timer: 1500,
                                                });
                                                // Espera 1500 milisegundos (1.5 segundos) antes de resetear el formulario
                                                setTimeout(function() {
                                                    // Selecciona el formulario por su ID y llama al método reset()
                                                    document.getElementById('orderForm').reset();
                                                }, 1500);
                                            } else if (respuesta == "2") {

                                                Swal.fire({
                                                    icon: "error",
                                                    title: "Opps!",
                                                    text: "El folio esta en uso...",
                                                    showConfirmButton: false,
                                                    timer: 1500,
                                                });
                                            } else if (respuesta == "error") {

                                                Swal.fire({
                                                    icon: "error",
                                                    title: "Error!",
                                                    text: "No se guardo la información...",
                                                    showConfirmButton: false,
                                                    timer: 1500,
                                                });
                                            }

                                        });
                                    } else {
                                        Swal.fire({
                                            icon: "error",
                                            title: "Contraseña incorrecta",
                                            text: "Vuelve a ingresar su contraseña",
                                            showConfirmButton: false,
                                            timer: 1500,
                                        });
                                        return false;
                                    }
                                },
                            });
                        } else {
                            Swal.fire({
                                icon: "info",
                                title: "Operacion cancelada",
                                showConfirmButton: false,
                                timer: 1500,
                            });
                            return false;
                        }
                    });



















                    /*
                                        // Ahora, puedes enviar todos estos datos al servidor (por ejemplo, usando AJAX) para generar la orden de pago
                                        $.ajax({
                                            url: '../controller/agregarOrden_controller2.php',
                                            method: 'POST',
                                            data: {
                                                contribuyente: nombreContribuyente,
                                                fecha: fechaEmision,
                                                conceptos: JSON.stringify(conceptos),
                                                totalCarrito: totalCarrito
                                            },
                                            success: function(response) {
                                                // Manejar la respuesta del servidor, como mostrar un mensaje de éxito o redireccionar
                                            },
                                            error: function(error) {
                                                // Manejar el error, si lo hay
                                            }
                                        });*/

                }
            });


        });

        $("#limpiarCarritoBtn").click(function() {
            // Eliminar todas las filas del carrito
            $("#carritoBody").empty();

            // Aquí puedes agregar cualquier otra lógica necesaria, como reiniciar variables o valores
        });
    </script>



</body>

</html>