function orden_obtener_Datos(id_orden) {
  Swal.fire({
    title: "Actualizar orden de pago?",
    icon: "warning",
    html: '<label>¿Está seguro que desea autorizar la actualizazión de la orden de pago?</label><br><br><input type="password" id="password" class="form-control " placeholder="Ingrese su contraseña">',
    showCancelButton: true,
    confirmButtonColor: "#3085d6",
    cancelButtonColor: "#d33",
    confirmButtonText: "Autorizar",
    cancelButtonText: "Cancelar",
  }).then((result) => {
    if (result.isConfirmed) {
      const password = document.getElementById("password").value;
      $.ajax({
        url: "../model/verificarContraseñaModel.php",
        type: "POST",
        data: {
          password: password,
        },
        success: function (response) {
          if (response === "contraseña_correcta") {
            $("#modalEditarOrden").modal("show");

            $.ajax({
              type: "POST",
              data: "id_orden=" + id_orden,
              url: "../controller/obtenerDatosOrdenPagoController.php",
              success: function (r) {
                datos = jQuery.parseJSON(r);
                $("#id_orden_pago").val(datos["id_orden_pago"]);
                $("#editarNombreContribuyente").val(
                  datos["editarNombreContribuyente"]
                );
                $("#editarImporte").val(datos["editarImporte"]);
                $("#editarFecha").val(datos["editarFecha"]);

                $.ajax({
                  url: "../model/mostrarConceptosModel.php",
                  dataType: "json",
                  success: function (data) {
                    $.each(data, function (key, value) {
                      if (
                        value.id_concepto_recaudacion == datos["id_concepto"]
                      ) {
                        $("#editarConceptoRecaudacion").append(
                          '<option selected value="' +
                            value.id_concepto_recaudacion +
                            '">' +
                            value.descripcion_concepto_recaudacion +
                            "</option>"
                        );
                      } else {
                        $("#editarConceptoRecaudacion").append(
                          '<option value="' +
                            value.id_concepto_recaudacion +
                            '">' +
                            value.descripcion_concepto_recaudacion +
                            "</option>"
                        );
                      }
                    });
                  },
                });
              },
            });

            var boton = document.getElementById("GuardarCambiosOrdenPago");

            boton.addEventListener("click", function () {
              var concepto = document.getElementById(
                "editarConceptoRecaudacion"
              ).value;
              var importe = document.getElementById("editarImporte").value;
              var fecha = document.getElementById("editarFecha").value;
              var contribuyente = document.getElementById(
                "editarNombreContribuyente"
              ).value;
              var exp_numero = /^\d+$/;

              if (contribuyente === "") {
                Swal.fire({
                  title: "Todos los campos * son obligatorios",
                  text: "Ingresa el nombre del contribuyente",
                  icon: "warning",
                });
                return false;
              } else if (!exp_numero.test(importe)) {
                Swal.fire({
                  title: "Oppss",
                  text: "Ingresa el importe a solo números y Ejemplo: 150",
                  icon: "warning",
                });
                return false;
              } else if (concepto === "") {
                Swal.fire({
                  title: "Todos los campos * son obligatorios",
                  text: "Selecciona un concepto",
                  icon: "warning",
                });
                return false;
              } else if (importe === "") {
                Swal.fire({
                  title: "Todos los campos * son obligatorios",
                  text: "Ingresa el importe",
                  icon: "warning",
                });
                return false;
              } else if (fecha === "") {
                Swal.fire({
                  title: "Todos los campos * son obligatorios",
                  text: "Ingresa la fecha de emisión de la orden",
                  icon: "warning",
                });
                return false;
              } else {
                forms = $("#formEditarOrden").serialize();

                $.ajax({
                  url: "../controller/actualizarOrden_controller.php",
                  type: "POST",
                  dataType: "json",
                  data: forms,
                }).done(function (respuesta) {
                  console.log(respuesta);
                  if (!respuesta.error) {
                    if (respuesta.result == "1") {
                      $("#modalEditarOrden").modal("hide");
                      Swal.fire({
                        icon: "success",
                        title: "Orden de pago actualizada!",
                        text: "Imprime la orden de pago actualizada...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                      setTimeout(function () {
                        window.location.href = window.location.href;
                      }, 1000);
                    } else if (respuesta.result == "2") {
                      $("#example").load(window.location.href + " #example");
                      $("#modalEditarOrden").modal("hide");
                      Swal.fire({
                        icon: "error",
                        title: "Oppss!",
                        text: "El folio esta en uso...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    } else if (respuesta.result == "3") {
                      $("#example").load(window.location.href + " #example");
                      $("#modalEditarOrden").modal("hide");
                      Swal.fire({
                        icon: "warning",
                        title: "No se realizaron cambios!",
                        text: "La información que se ingresó, es la misma a la anterior...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    }
                  } else {
                    Swal.fire({
                      icon: "error",
                      title: "Upps!",
                      text: "Ocurrio un error, no se guardo la información",
                    });
                  }
                });
              }
            });
          } else {
            Swal.fire({
              icon: "error",
              title: "Contraseña incorrecta",
              text: "Vuelve a ingresar su contraseña",
              showConfirmButton: false,
              timer: 1500,
            });
            return false;
          }
        },
      });
    } else {
      Swal.fire({
        icon: "info",
        title: "Operacion cancelada",
        showConfirmButton: false,
        timer: 1500,
      });
      return false;
    }
  });

  /*
    $.ajax({
      type: "POST",
      data: "id_orden=" + id_orden,
      url: "../controller/obtenerDatosOrdenPagoController.php",
      success: function (r) {
        datos = jQuery.parseJSON(r);
        $("#id_orden_pago").val(datos["id_orden_pago"]);
        $("#editarNombreContribuyente").val(datos["editarNombreContribuyente"]);
        $("#editarImporte").val(datos["editarImporte"]);
        $("#editarFecha").val(datos["editarFecha"]);
  
        $.ajax({
          url: "../model/mostrarConceptosModel.php",
          dataType: "json",
          success: function (data) {
            $.each(data, function (key, value) {
              if (value.id_concepto_recaudacion == datos["id_concepto"]) {
                $("#editarConceptoRecaudacion").append(
                  '<option selected value="' +
                    value.id_concepto_recaudacion +
                    '">' +
                    value.descripcion_concepto_recaudacion +
                    "</option>"
                );
              } else {
                $("#editarConceptoRecaudacion").append(
                  '<option value="' +
                    value.id_concepto_recaudacion +
                    '">' +
                    value.descripcion_concepto_recaudacion +
                    "</option>"
                );
              }
            });
          },
        });
      },
    });*/
}

function CierraModal() {
  $("#cerrar").click();
  $(".modal-backdrop").remove();
}
