$(document).ready(function () {
  $("#guardarArea").click(function () {
    var nombre = document.getElementById("nombreAreaView").value;

    if (nombre === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el nombre del área",
        icon: "warning",
      });
      return false;
    } else {
      forms = $("#formAgregarArea").serialize();

      $.ajax({
        url: "../controller/agregarArea_controller.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == "1") {
              $("#formAgregarArea")[0].reset();
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                icon: "success",
                title: "Correcto!",
                text: "La información se guardo correctamente...",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          } else {
            Swal.fire({
              icon: "error",
              title: "Upps!",
              text: "Ocurrio un error, no se guardo la información",
            });
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
          Swal.fire({
            icon: "error",
            title: "Intenta de nuevo!",
            text: "No hay conexión con el servidor",
          });
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function area_eliminar_confirmar(id_area) {
  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de eliminar el área administrativa?",
    showConfirmButton: true,
    confirmButtonText: "Eliminar",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/eliminarArea_controller.php",
        type: "POST",
        dataType: "json",
        data: "id_area=" + id_area,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Eliminado correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
}

function area_obtener_Datos(id_area) {
  $.ajax({
    type: "POST",
    data: "id_area=" + id_area,
    url: "../controller/obtenerDatosAreaController.php",
    success: function (r) {
      datos = jQuery.parseJSON(r);
      $("#id_AreaView").val(datos["id_AreaView"]);
      $("#editarNombreArea").val(datos["editarNombreArea"]);
    },
  });
}

$("#GuardarCambiosArea").click(function () {
  forms = $("#formActualizarArea").serialize();

  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de guardar cambios?",
    showConfirmButton: true,
    confirmButtonText: "Siguiente",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/actualizarAreaController.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");

              Swal.fire({
                position: "center",
                icon: "success",
                title: "Cambios guardados correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else if (respuesta.result == 2) {
              Swal.fire({
                position: "center",
                icon: "error",
                title: "El ID no existe..!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else {
              Swal.fire({
                icon: "error",
                title: "Upps!",
                text: "Ocurrio un error, no se guardo la información",
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function CierraModal() {
  $("#cerrar").click();
  $(".modal-backdrop").remove();
}
