function recibo_obtener_Datos(id_recibo) {
  Swal.fire({
    title: "Cancelar el recibo de pago?",
    icon: "warning",
    html: '<label>¿Está seguro que desea autorizar la cancelación del recibo de pago?</label><br><br><input type="password" id="password" class="form-control " placeholder="Ingrese su contraseña">',
    showCancelButton: true,
    confirmButtonColor: "#3085d6",
    cancelButtonColor: "#d33",
    confirmButtonText: "Autorizar",
    cancelButtonText: "Cancelar",
  }).then((result) => {
    if (result.isConfirmed) {
      const password = document.getElementById("password").value;
      $.ajax({
        url: "../model/verificarContraseñaModel.php",
        type: "POST",
        data: {
          password: password,
        },
        success: function (response) {
          if (response === "contraseña_correcta") {
            $.ajax({
                url: "../controller/cancelarReciboController.php",
                type: "POST",
                dataType: "json",
                data: "id_recibo=" + id_recibo,
              })
                .done(function (respuesta) {
                  console.log(respuesta);
                  if (!respuesta.error) {
                    if (respuesta.result == 1) {
                      Swal.fire({
                        position: "center",
                        icon: "success",
                        title: "Recibo cancelado correctamente !",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    }
                  }
                })
                .fail(function (resp) {
                  console.log(resp.responseText);
                })
                .always(function () {
                  console.log("Tarea completa");
                });
          } else {
            Swal.fire({
              icon: "error",
              title: "Contraseña incorrecta",
              text: "Vuelve a ingresar su contraseña",
              showConfirmButton: false,
              timer: 1500,
            });
            return false;
          }
        },
      });
    } else {
      Swal.fire({
        icon: "info",
        title: "Operacion cancelada",
        showConfirmButton: false,
        timer: 1500,
      });
      return false;
    }
  });
}
