$(document).ready(function () {
  $.ajax({
    url: "../model/mostrarAreasModel.php",
    dataType: "json",
    success: function (data) {
      $.each(data, function (key, value) {
        $("#areaAdministrativa").append(
          '<option value="' +
            value.id_area +
            '">' +
            value.nombre_area +
            "</option>"
        );
      });
    },
  });

  $.ajax({
    url: "../model/mostrarFuenteRecaudacionAjaxModel.php",
    dataType: "json",
    success: function (data) {
      $.each(data, function (key, value) {
        $("#fuenteRecaudacion").append(
          '<option value="' +
            value.id_fuente_recaudacion +
            '">' +
            value.num_fuente_recaudacion +
            " - " +
            value.descripcion_fuente_recaudacion +
            "</option>"
        );
      });
    },
  });

  $("#agregarConceptoRecaudacion").click(function () {
    var numero = document.getElementById("numConcepto").value;
    var concepto = document.getElementById("conceptoRecaudacion").value;
    var fuente = document.getElementById("fuenteRecaudacion").value;
    var area = document.getElementById("areaAdministrativa").value;
    var cuenta = document.getElementById("cuentaContable").value;
    var exp_numeros = /^\d+$/;
    var exp_cuenta = /^\d{4}-\d{2}-\d{3}$/;

    if (numero === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el número del concepto",
        icon: "warning",
      });
      return false;
    } else if (concepto === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el concepto de recaudación",
        icon: "warning",
      });
      return false;
    } else if (cuenta === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa la cuenta contable",
        icon: "warning",
      });
      return false;
    } else if (fuente === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Selecciona una fuente de recaudación",
        icon: "warning",
      });
      return false;
    } else if (area === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Selecciona una área administrativa",
        icon: "warning",
      });
      return false;
    } else if (!exp_numeros.test(numero)) {
      Swal.fire({
        title: "Oppss",
        text: "Ingresa un número de concepto válido...",
        icon: "warning",
      });
      return false;
    } else if (!exp_cuenta.test(cuenta)) {
      Swal.fire({
        title: "Oppss",
        text: "Ingresa una cuenta contable válida...",
        icon: "warning",
      });
      return false;
    } else {
      forms = $("#formAgregarConceptoRecaudacion").serialize();

      $.ajax({
        url: "../controller/agregarConcepto_controller.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == "1") {
              $("#formAgregarConceptoRecaudacion")[0].reset();
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                icon: "success",
                title: "Correcto!",
                text: "La información se guardo correctamente...",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            }
          } else {
            Swal.fire({
              icon: "error",
              title: "Upps!",
              text: "Ocurrio un error, no se guardo la información",
            });
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
          Swal.fire({
            icon: "error",
            title: "Intenta de nuevo!",
            text: "No hay conexión con el servidor",
          });
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function concepto_eliminar_confirmar(id_concepto) {
  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de eliminar este concepto de recaudación?",
    showConfirmButton: true,
    confirmButtonText: "Eliminar",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/eliminarConcepto_controller.php",
        type: "POST",
        dataType: "json",
        data: "id_concepto=" + id_concepto,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Eliminado correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
}

function concepto_obtener_Datos(id_concepto) {
  $.ajax({
    type: "POST",
    data: "id_concepto=" + id_concepto,
    url: "../controller/obtenerDatosConceptoController.php",
    success: function (r) {
      datos = jQuery.parseJSON(r);
      $("#id_concepto_recaudacion").val(datos["id_concepto_recaudacion"]);
      $("#editaenumConcepto").val(datos["editaenumConcepto"]);
      $("#editarconceptoRecaudacion").val(datos["editarconceptoRecaudacion"]);
      $("#editarcuentaContable").val(datos["editarcuentaContable"]);

      $.ajax({
        url: "../model/mostrarFuenteRecaudacionAjaxModel.php",
        dataType: "json",
        success: function (data) {
          $.each(data, function (key, value) {
            if (value.id_fuente_recaudacion == datos["id_fuente_recaudacion"]) {
              $("#editarfuenteRecaudacion").append(
                '<option selected value="' +
                  value.id_fuente_recaudacion +
                  '">' +
                  value.num_fuente_recaudacion +
                  " - " +
                  value.descripcion_fuente_recaudacion +
                  "</option>"
              );
            } else {
              $("#editarfuenteRecaudacion").append(
                '<option value="' +
                  value.id_fuente_recaudacion +
                  '">' +
                  value.num_fuente_recaudacion +
                  " - " +
                  value.descripcion_fuente_recaudacion +
                  "</option>"
              );
            }
          });
        },
      });

      $.ajax({
        url: "../model/mostrarAreasModel.php",
        dataType: "json",
        success: function (data) {
          $.each(data, function (key, value) {
            if (value.id_area == datos["id_area"]) {
              $("#editarareaAdministrativa").append(
                '<option selected value="' +
                  value.id_area +
                  '">' +
                  value.nombre_area +
                  "</option>"
              );
            } else {
              $("#editarareaAdministrativa").append(
                '<option value="' +
                  value.id_area +
                  '">' +
                  value.nombre_area +
                  "</option>"
              );
            }
          });
        },
      });
    },
  });
}

$("#GuardarCambiosConceptoRecaudacion").click(function () {
  forms = $("#formActualizarConceptoRecaudacion").serialize();

  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de guardar cambios?",
    showConfirmButton: true,
    confirmButtonText: "Siguiente",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/actualizarConceptoController.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");

              Swal.fire({
                position: "center",
                icon: "success",
                title: "Cambios guardados correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModalEditar();
            } else if (respuesta.result == 2) {
              Swal.fire({
                position: "center",
                icon: "error",
                title: "El ID no existe..!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else {
              Swal.fire({
                icon: "error",
                title: "Upps!",
                text: "Ocurrio un error, no se guardo la información",
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function CierraModal() {
  $("#cerrar").click();
  $(".modal-backdrop").remove();
}

function CierraModalEditar() {
  $("#cerrarEditar").click();
  $(".modal-backdrop").remove();
}
