$(document).ready(function () {
  $("#guardarFuenteRecaudacion").click(function () {
    var numero_recaudacion = document.getElementById("numRecaudacion").value;
    var fuenteRecaudacion = document.getElementById("fuenteRecaudacion").value;
    var exp_numeros = /^\d+$/;

    if (numero_recaudacion === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el número de recaudación",
        icon: "warning",
      });
      return false;
    } else if (fuenteRecaudacion === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa la fuente de recaudación",
        icon: "warning",
      });
      return false;
    } else if (!exp_numeros.test(numero_recaudacion)) {
      Swal.fire({
        title: "Oppss",
        text: "Ingresa un número de recaudación válido...",
        icon: "warning",
      });
      return false;
    } else {
      forms = $("#formAgregarFuenteRecaudacion").serialize();

      $.ajax({
        url: "../controller/agregarFuenteRecaudacion_controller.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == "1") {
              $("#formAgregarFuenteRecaudacion")[0].reset();
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                icon: "success",
                title: "Correcto!",
                text: "La información se guardo correctamente...",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          } else {
            Swal.fire({
              icon: "error",
              title: "Upps!",
              text: "Ocurrio un error, no se guardo la información",
            });
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
          Swal.fire({
            icon: "error",
            title: "Intenta de nuevo!",
            text: "No hay conexión con el servidor",
          });
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function fuenteRecaudacion_eliminar_confirmar(id_fuente_recaudacion) {
  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de eliminar esta fuente de recaudación?",
    showConfirmButton: true,
    confirmButtonText: "Eliminar",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/eliminarFuenteRecaudacion_controller.php",
        type: "POST",
        dataType: "json",
        data: "id_fuente_recaudacion=" + id_fuente_recaudacion,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Eliminado correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
}

function fuenteRecaudacion_obtener_Datos(id_fuente_recaudacion) {
  $.ajax({
    type: "POST",
    data: "id_fuente_recaudacion=" + id_fuente_recaudacion,
    url: "../controller/obtenerDatosFuenteRecaudacionController.php",
    success: function (r) {
      datos = jQuery.parseJSON(r);
      $("#id_fuente_rec").val(datos["id_fuente_rec"]);
      $("#editarNumFuenteRecaudacion").val(datos["editarNumFuenteRecaudacion"]);
      $("#editarDescripcionFuenteRecaudacion").val(datos["editarDescripcionFuenteRecaudacion"]);
    },
  });
}

$("#GuardarCambiosFuenteRecaudacion").click(function () {
  forms = $("#formActualizarFuenteRecaudacion").serialize();

  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de guardar cambios?",
    showConfirmButton: true,
    confirmButtonText: "Siguiente",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/actualizarFuenteRecaudacionController.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");

              Swal.fire({
                position: "center",
                icon: "success",
                title: "Cambios guardados correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else if (respuesta.result == 2) {
              Swal.fire({
                position: "center",
                icon: "error",
                title: "El ID no existe..!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else {
              Swal.fire({
                icon: "error",
                title: "Upps!",
                text: "Ocurrio un error, no se guardo la información",
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function CierraModal() {
  $("#cerrar").click();
  $(".modal-backdrop").remove();
}
