$(document).ready(function () {
  $.ajax({
    url: "../model/mostrarConceptosModel.php",
    dataType: "json",
    success: function (data) {
      $.each(data, function (key, value) {
        $("#conceptoOrden").append(
          '<option value="' +
            value.id_concepto_recaudacion +
            '">' +
            value.descripcion_concepto_recaudacion +
            "</option>"
        );
      });
    },
  });

  $("#guardarOrden").click(function () {
    var concepto = document.getElementById("conceptoOrden").value;
    var importe = document.getElementById("importeOrden").value;
    var fecha = document.getElementById("fechaOrden").value;
    var contribuyente = document.getElementById("nombreContribuyente").value;
    var exp_numero = /^\d+$/;

    if (contribuyente === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el nombre del contribuyente",
        icon: "warning",
      });
      return false;
    } else if (!exp_numero.test(importe)) {
      Swal.fire({
        title: "Oppss",
        text: "Ingresa el importe a solo números y Ejemplo: 150",
        icon: "warning",
      });
      return false;
    } else if (concepto === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Selecciona un concepto",
        icon: "warning",
      });
      return false;
    } else if (importe === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el importe",
        icon: "warning",
      });
      return false;
    } else if (fecha === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa la fecha de emisión de la orden",
        icon: "warning",
      });
      return false;
    } else {

Swal.fire({
        title: "Autorizar orden de pago",
        icon: "warning",
        html: '<label>¿Está seguro que desea autorizar la orden de pago?</label><br><br><input type="password" id="password" class="form-control " placeholder="Ingrese su contraseña">',
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Autorizar",
        cancelButtonText: "Cancelar",
        
      }).then((result) => {
        if (result.isConfirmed) {
          const password = document.getElementById("password").value;
          $.ajax({
            url: "../model/verificarContraseñaModel.php",
            type: "POST",
            data: {
              password: password,
            },
            success: function (response) {
              if (response === "contraseña_correcta") {
                // Aquí se puede generar la orden
                forms = $("#formAgregarOrden").serialize();

                $.ajax({
                  url: "../controller/agregarOrden_controller.php",
                  type: "POST",
                  dataType: "json",
                  data: forms,
                }).done(function (respuesta) {
                  console.log(respuesta);
                  if (!respuesta.error) {
                    if (respuesta.result == "1") {
                      $("#formAgregarOrden")[0].reset();
                      $("#example").load(window.location.href + " #example");
                      Swal.fire({
                        icon: "success",
                        title: "Correcto!",
                        text: "Orden de pago generada correctamente...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    } else if (respuesta.result == "2") {
                      $("#formAgregarOrden")[0].reset();
                      $("#example").load(window.location.href + " #example");
                      Swal.fire({
                        icon: "error",
                        title: "Correcto!",
                        text: "El folio esta en uso...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    }
                  } else {
                    Swal.fire({
                      icon: "error",
                      title: "Upps!",
                      text: "Ocurrio un error, no se guardo la información",
                    });
                  }
                });
              } else {
                Swal.fire({
                  icon: "error",
                  title: "Contraseña incorrecta",
                  text: "Vuelve a ingresar su contraseña",
                  showConfirmButton: false,
                  timer: 1500,
                });
                return false;
              }
            },
          });
        } else {
          Swal.fire({
            icon: "info",
            title: "Operacion cancelada",
            showConfirmButton: false,
            timer: 1500,
          });
          return false;
        }
      });

    }
  });

  
/*
  $("#GuardarCambiosOrdenPago").click(function () {
    var concepto = document.getElementById("editarConceptoRecaudacion").value;
    var importe = document.getElementById("editarImporte").value;
    var fecha = document.getElementById("editarFecha").value;
    var contribuyente = document.getElementById("editarNombreContribuyente").value;
    var exp_numero = /^\d+$/;
  
    if (contribuyente === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el nombre del contribuyente",
        icon: "warning",
      });
      return false;
    } else if (!exp_numero.test(importe)) {
      Swal.fire({
        title: "Oppss",
        text: "Ingresa el importe a solo números y Ejemplo: 150",
        icon: "warning",
      });
      return false;
    } else if (concepto === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Selecciona un concepto",
        icon: "warning",
      });
      return false;
    } else if (importe === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el importe",
        icon: "warning",
      });
      return false;
    } else if (fecha === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa la fecha de emisión de la orden",
        icon: "warning",
      });
      return false;
    } else {
  
  Swal.fire({
        title: "Actualizar orden de pago?",
        icon: "warning",
        html: '<label>¿Está seguro que desea autorizar la actualizazión de la orden de pago?</label><br><br><input type="password" id="contrasena" class="form-control " placeholder="Ingrese su contraseña">',
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Autorizar",
        cancelButtonText: "Cancelar"
        
      }).then((result) => {
        if (result.isConfirmed) {
          const contrasena = document.getElementById("contrasena").value;
          $.ajax({
            url: "../model/verificarContrasenaModel.php",
            type: "POST",
            data: {
              contrasena: contrasena,
            },
            success: function (response) {
              if (response === "contraseña_correcta") {
                // Aquí se puede generar la orden
                forms = $("#formEditarOrden").serialize();
  
                $.ajax({
                  url: "../controller/actualizarOrden_controller.php",
                  type: "POST",
                  dataType: "json",
                  data: forms,
                }).done(function (respuesta) {
                  console.log(respuesta);
                  if (!respuesta.error) {
                    if (respuesta.result == "1") {
                      $("#example").load(window.location.href + " #example");
                      Swal.fire({
                        icon: "success",
                        title: "Orden de pago actualizada!",
                        text: "Imprime la orden de pago actualizada...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    } else if (respuesta.result == "2") {
                      $("#example").load(window.location.href + " #example");
                      Swal.fire({
                        icon: "error",
                        title: "Oppss!",
                        text: "El folio esta en uso...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    } else if (respuesta.result == "3") {
                      $("#example").load(window.location.href + " #example");
                      Swal.fire({
                        icon: "warning",
                        title: "No se realizaron cambios!",
                        text: "La información que se ingresó, es la misma a la anterior...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    }
                  } else {
                    Swal.fire({
                      icon: "error",
                      title: "Upps!",
                      text: "Ocurrio un error, no se guardo la información",
                    });
                  }
                });
              } else {
                Swal.fire({
                  icon: "error",
                  title: "Contraseña incorrecta",
                  text: "Vuelve a ingresar su contraseña",
                  showConfirmButton: false,
                  timer: 1500,
                });
                return false;
              }
            },
          });
        } else {
          Swal.fire({
            icon: "info",
            title: "Operacion cancelada",
            showConfirmButton: false,
            timer: 1500,
          });
          return false;
        }
      });
  
    }
  });*/

  
});








//?CAMBIAR EL ESTATUS DE LA ORDEN A CANCELADA



