$(document).ready(function () {
  $("#guardarRol").click(function () {
    var nombre = document.getElementById("nombreRolView").value;

    if (nombre === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el nombre del rol",
        icon: "warning",
      });
      return false;
    } else {
      forms = $("#formAgregarRol").serialize();

      $.ajax({
        url: "../controller/agregarRol_controller.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == "1") {
              $("#formAgregarRol")[0].reset();
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                icon: "success",
                title: "Correcto!",
                text: "La información se guardo correctamente...",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          } else {
            Swal.fire({
              icon: "error",
              title: "Upps!",
              text: "Ocurrio un error, no se guardo la información",
            });
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
          Swal.fire({
            icon: "error",
            title: "Intenta de nuevo!",
            text: "No hay conexión con el servidor",
          });
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function rol_eliminar_confirmar(id_rol) {
  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de eliminar el rol de usuario?",
    showConfirmButton: true,
    confirmButtonText: "Eliminar",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/eliminarRol_controller.php",
        type: "POST",
        dataType: "json",
        data: "id_rol=" + id_rol,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Eliminado correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
}

function rol_obtener_Datos(id_rol) {
  $.ajax({
    type: "POST",
    data: "id_rol=" + id_rol,
    url: "../controller/obtenerDatosRolController.php",
    success: function (r) {
      datos = jQuery.parseJSON(r);
      $("#id_rolView").val(datos["id_rolView"]);
      $("#editarNombreRol").val(datos["editarNombreRol"]);
    },
  });
}

$("#GuardarCambiosRol").click(function () {
  forms = $("#formActualizarRol").serialize();

  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de guardar cambios?",
    showConfirmButton: true,
    confirmButtonText: "Siguiente",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/actualizarRolController.php",
        type: "POST",
        dataType: "json",
        data: forms,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");

              Swal.fire({
                position: "center",
                icon: "success",
                title: "Cambios guardados correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else if (respuesta.result == 2) {
              Swal.fire({
                position: "center",
                icon: "error",
                title: "El ID no existe..!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else {
              Swal.fire({
                icon: "error",
                title: "Upps!",
                text: "Ocurrio un error, no se guardo la información",
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function CierraModal() {
  $("#cerrar").click();
  $(".modal-backdrop").remove();
}
