$(document).ready(function () {
  //?RESETEO DE PARA ACTUALIZAR UNA IMAGEN
  document.getElementById("resetImagen").addEventListener("click", function () {
    document.getElementById("nueva_foto").value = "";
    document.getElementById("NuevaFoto").src = "";
  });

  //!-------------------------VALIDACION PARA SUBIR UNA IMAGEN---------------------------------------
  document.getElementById("nueva_foto").addEventListener("change", function () {
    var archivo = this.files[0];
    var extencion = archivo.name.split(".").pop().toLowerCase();
    var tamañoMaximo = 1024 * 1024; // 1 MB
    var imagen = new Image();
    imagen.src = URL.createObjectURL(archivo);
    imagen.addEventListener("load", function () {
      var ancho = this.width;
      var alto = this.height;
      if (ancho != alto) {
        Swal.fire({
          title: "La imagen debe ser cuadrada",
          text: "Seleccione una fotografía con las mismas dimensiones de alto y ancho",
          icon: "warning",
        });
        this.value = "";
        document.getElementById("NuevaFoto").src = "";
      }
    });
    if (archivo.type != "image/png" && archivo.type != "image/jpeg") {
      Swal.fire({
        title: "Formato de imagen no valido",
        text: "El archivo debe ser una imagen PNG o JPG",
        icon: "warning",
      });
      this.value = "";
      document.getElementById("NuevaFoto").src = "";
    } else if (archivo.size > tamañoMaximo) {
      Swal.fire({
        title: "Imagen demaciado grande",
        text: "El tamaño maximo permitido es de 1 MB",
        icon: "warning",
      });
      this.value = "";
      document.getElementById("NuevaFoto").src = "";
    }
  });

  document.getElementById("files").addEventListener("change", function () {
    var archivo = this.files[0];
    var extencion = archivo.name.split(".").pop().toLowerCase();
    var tamañoMaximo = 1024 * 1024; // 1 MB
    var imagen = new Image();
    imagen.src = URL.createObjectURL(archivo);
    imagen.addEventListener("load", function () {
      var ancho = this.width;
      var alto = this.height;
      if (ancho != alto) {
        Swal.fire({
          title: "La imagen debe ser cuadrada",
          text: "Seleccione una fotografía con las mismas dimensiones de alto y ancho",
          icon: "warning",
        });
        this.value = "";
        document.getElementById("imgPreview").src = "";
      }
    });
    if (archivo.type != "image/png" && archivo.type != "image/jpeg") {
      Swal.fire({
        title: "Formato de imagen no valido",
        text: "El archivo debe ser una imagen PNG o JPG",
        icon: "warning",
      });
      this.value = "";
      document.getElementById("imgPreview").src = "";
    } else if (archivo.size > tamañoMaximo) {
      Swal.fire({
        title: "Imagen demaciado grande",
        text: "El tamaño maximo permitido es de 1 MB",
        icon: "warning",
      });
      this.value = "";
      document.getElementById("imgPreview").src = "";
    }
  });
  //!--------------------------------------------------------------------------------------------------

  //?----------------MOSTRAR ROLES EN ELEMENTO SELECT-----------------------------------------------------
  $.ajax({
    url: "../model/mostrarRolesModel.php",
    dataType: "json",
    success: function (data) {
      $.each(data, function (key, value) {
        $("#rolUsuario").append(
          '<option value="' +
            value.id_rol +
            '">' +
            value.nombre_rol +
            "</option>"
        );
      });
    },
  });

  $.ajax({
    url: "../model/mostrarAreasModel.php",
    dataType: "json",
    success: function (data) {
      $.each(data, function (key, value) {
        $("#areaUsuario").append(
          '<option value="' +
            value.id_area +
            '">' +
            value.nombre_area +
            "</option>"
        );
      });
    },
  });
  //?---------------------------------------------------------------------------------------------------------

  $("#guardarUsuario").click(function () {
    var nombre = document.getElementById("nombreUsuario").value;
    var apellidoPat = document.getElementById("paternoUsuario").value;
    var apellidoMat = document.getElementById("maternoUsuario").value;
    var telefono = document.getElementById("telefonoUsuario").value;
    var email = document.getElementById("emailUsuario").value;
    var contrasena = document.getElementById("contrasenaUsuario").value;
    var conf_contrasena = document.getElementById("confirmaContrasena").value;
    var area = document.getElementById("areaUsuario").value;
    var rol = document.getElementById("rolUsuario").value;

    if (nombre.length < 3) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el nombre(s) del usuario",
        icon: "warning",
      });
      return false;
    } else if (apellidoPat.length < 3) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el apellido paterno del usuario",
        icon: "warning",
      });
      return false;
    } else if (apellidoMat.length < 3) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el apellido materno del usuario",
        icon: "warning",
      });
      return false;
    } else if (telefono.length != 10) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa un número de teléfono a 10 digitos",
        icon: "warning",
      });
      return false;
    } else if (email.length < 3) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa un correo electronico",
        icon: "warning",
      });
      return false;
    } else if (contrasena.length < 8) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa una contraseña, minimo 8 caracteres",
        icon: "warning",
      });
      return false;
    } else if (conf_contrasena != contrasena) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Las contraseñas no coninciden",
        icon: "warning",
      });
      return false;
    } else if (area === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Selecciona el área del usuario",
        icon: "warning",
      });
      return false;
    } else if (rol === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Selecciona el rol del usuario",
        icon: "warning",
      });
      return false;
    } else if (files.files.length == 0) {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Inserta una fotografía del usuario",
        icon: "warning",
      });
      return false;
    } else {
      var datos = $(this).serializeArray(); //datos serializados
      var imagen = new FormData($("#formAgregarUsuario")[0]);
      //agergaremos los datos serializados al objecto imagen
      $.each(datos, function (key, input) {
        imagen.append(input.name, input.value);
      });

      $.ajax({
        url: "../controller/agregarUsuarioController.php",
        type: "POST",
        dataType: "json",
        data: imagen,
        contentType: false,
        processData: false,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == "1") {
              $("#formAgregarUsuario")[0].reset();
              $("#example").load(window.location.href + " #example");
              document.getElementById("files").value = "";
              document.getElementById("imgPreview").src = "";
              Swal.fire({
                icon: "success",
                title: "Correcto!",
                text: "La información se guardo correctamente...",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModalAgregar();
            }
          } else {
            Swal.fire({
              icon: "error",
              title: "Upps!",
              text: "Ocurrio un error, no se guardo la información",
            });
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
          Swal.fire({
            icon: "error",
            title: "Intenta de nuevo!",
            text: "No se realizo nada...",
          });
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function usuario_eliminar_confirmar(id_usuario) {
  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de eliminar al usuario?",
    showConfirmButton: true,
    confirmButtonText: "Eliminar",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/eliminarUsuarioController.php",
        type: "POST",
        dataType: "json",
        data: "id_usuario=" + id_usuario,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Eliminado correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
}

function usuario_obtener_Datos(id_usuario) {
  $.ajax({
    type: "POST",
    data: "id_usuario=" + id_usuario,
    url: "../controller/obtenerDatosUsuarioController.php",
    success: function (r) {
      datos = jQuery.parseJSON(r);
      $("#id_usuario").val(datos["id_usuario"]);
      $("#editarNombreUser").val(datos["editarNombreUser"]);
      $("#editarPaternoUser").val(datos["editarPaternoUser"]);
      $("#editarMaternoUser").val(datos["editarMaternoUser"]);
      $("#editarTelefonoUser").val(datos["editarTelefonoUser"]);
      $("#editarEmailUser").val(datos["editarEmailUser"]);
      $("#editarContrasenaUser").val(datos["editarContrasenaUser"]);
      $("#fotoUser").attr(
        "src",
        "../../assets/img/img_users/" + datos["fotografia_user"]
      );

      $.ajax({
        url: "../model/mostrarRolesModel.php",
        dataType: "json",
        success: function (data) {
          $.each(data, function (key, value) {
            if (value.id_rol == datos["id_rol"]) {
              $("#editarRolUser").append(
                '<option selected value="' +
                  value.id_rol +
                  '">' +
                  value.nombre_rol +
                  "</option>"
              );
            } else {
              $("#editarRolUser").append(
                '<option value="' +
                  value.id_rol +
                  '">' +
                  value.nombre_rol +
                  "</option>"
              );
            }
          });
        },
      });

      $.ajax({
        url: "../model/mostrarAreasModel.php",
        dataType: "json",
        success: function (data) {
          $.each(data, function (key, value) {
            if (value.id_area == datos["id_area"]) {
              $("#editarAreaUser").append(
                '<option selected value="' +
                  value.id_area +
                  '">' +
                  value.nombre_area +
                  "</option>"
              );
            } else {
              $("#editarAreaUser").append(
                '<option value="' +
                  value.id_area +
                  '">' +
                  value.nombre_area +
                  "</option>"
              );
            }
          });
        },
      });
    },
  });
}

$("#guardarCambiosUsuario").click(function () {
  var datos = $(this).serializeArray(); //datos serializados
  var imagen = new FormData($("#formEditarUsuario")[0]);
  //agergaremos los datos serializados al objecto imagen
  $.each(datos, function (key, input) {
    console.log(imagen.append(input.name, input.value));
  });

  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de guardar cambios?",
    showConfirmButton: true,
    confirmButtonText: "Siguiente",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/actualizarUsuarioController.php",
        type: "POST",
        dataType: "json",
        data: imagen,
        contentType: false,
        processData: false,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#example").load(window.location.href + " #example");
              document.getElementById("nueva_foto").value = "";
              document.getElementById("NuevaFoto").src = "";
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Cambios guardados correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else if (respuesta.result == 2) {
              Swal.fire({
                position: "center",
                icon: "error",
                title: "El ID no existe..!",
                showConfirmButton: false,
                timer: 1500,
              });
              CierraModal();
            } else {
              Swal.fire({
                icon: "error",
                title: "Upps!",
                text: "Ocurrio un error, no se guardo la información",
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
});

function CierraModal() {
  $("#cerrar_modalEditar").click();
  $(".modal-backdrop").remove();
}

function CierraModalAgregar() {
    $("#cerrar_modalAgregar").click();
    $(".modal-backdrop").remove();
  }
