<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SICAIM | Inicio Sesión</title>

    <!-- Enlaces a Bootstrap CSS y SweetAlert2 (verifica las rutas) -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.18/dist/sweetalert2.all.min.js"></script>
    <link rel="shortcut icon" href="assets/img/avatars/icono_blanco.png" type="image/x-png">

    <style>
        body {
            background-color: #f8f9fa;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }

        .login-container {
            background-color: #ffffff;
            border-radius: 10px;
            padding: 40px;
            text-align: center;
            box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s ease-in-out;
        }

        .login-container:hover {
            transform: scale(1.05);
        }

        .login-heading {
            font-size: 28px;
            margin-bottom: 20px;
            color: #333;
        }

        img {
            max-width: 200px;
            height: auto;
            margin-bottom: 20px;
        }

        .form-group {
            margin-bottom: 20px;
        }

        .boton {
            background-color: #621132;
            border-color: #621132;
            border-radius: 20px;
            /* Bordes redondos */
            transition: background-color 0.3s ease-in-out, border-color 0.3s ease-in-out;
        }

        .boton:hover {
            background-color: #540f29;
            border-color: #540f29;
        }

        .form-group {
            margin-bottom: 20px;
        }

        .form-control {
            border: 2px solid #621132;
            border-radius: 20px;
            padding: 10px;
            transition: border-color 0.3s ease-in-out;
        }

        .form-control:focus {
            border-color: #621132;
            outline: none;
            box-shadow: none;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-6">
                <div class="container login-container">
                    <img src="assets/img/avatars/logo_index.png" alt="Imagen de bienvenida" width="100%">
                    <h1 class="login-heading">¡Bienvenido!</h1>
                    <h1 class="login-heading" style="color: #621132;">Sistema Contable Administrativo de Ingresos Municipales</h1>
                    <p>Por favor, inicia sesión para continuar.</p>

                    <form id="formIniciarSesion">
                        <div class="form-group">
                            <input type="text" class="form-control" type="email" id="emailView" aria-describedby="emailHelp" placeholder="Correo Electronico" name="emailView">
                        </div>
                        <div class="form-group">
                            <input type="password" class="form-control" type="password" id="contrasenaView" placeholder="Contraseña" name="contrasenaView">
                        </div>
                        <button type="button" id="iniciarSesion" class="btn boton btn-block" style="color: white;">Iniciar Sesión</button>
                    </form>
                </div>
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>

    <script src="assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="assets/librerias/datatables/jquery.min.js"></script>
    <script src="assets/librerias/datatables/datatables.min.js"></script>
    <script src="assets/librerias/datatables/lenguajeDataTables.js"></script>
    <script src="assets/librerias/sweetalert/sweetalert2.js"></script>
    <script src="assets/js/script/login_js.js"></script>
</body>

</html>