<?php
session_start();
$id_usuario = $_SESSION['idUser'];
require '../../assets/lib/conexion.php';
require('../../assets/librerias/fpdf/fpdf.php');

$pdf = new FPDF('P','mm','Letter');
$pdf->AddPage();
$pdf->SetTitle(utf8_decode('Carga Académica'));


$pdf->Image('../../assets/img/avatars/orden de pago.png', 0, 0, $pdf->GetPageWidth(), 0);


$fecha = "2023-12-09";
setlocale(LC_TIME, 'es_ES.UTF-8');

// Convertir la fecha al mes en letra en español
$dia = strftime("%d", strtotime($fecha));
$mesEnLetra = strftime("%B", strtotime($fecha));
$anio = strftime("%Y", strtotime($fecha));

// Restaurar la configuración regional por defecto
setlocale(LC_TIME, '');

$mesEnLetra = strftime("%B", strtotime($fecha));
$pdf->Ln(20);
// Establecer fuente y tamaño
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(150, 5, 'FECHA: ',0, 0, 'R');
$pdf->Cell(11, 5, $dia,1, 0, 'C');
$pdf->Cell(24, 5, strtoupper($mesEnLetra),1, 0, 'C');
$pdf->Cell(13, 5, $anio,1, 0, 'C');
$pdf->Ln(15);


$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(40, 5, utf8_decode('FOLIO NÚMERO: '),0, 0, 'L');
$pdf->Cell(160, 5, utf8_decode('0001'),0, 0, 'L');
$pdf->Ln(7);

$pdf->Cell(40, 5, 'NOMBRE: ',0, 0, 'L');
$pdf->Cell(160, 5, utf8_decode('URI GAMALILEL JIMÉNEZ LÓPEZ'),0, 0, 'L');
$pdf->Ln(7);

$pdf->Cell(40, 5, utf8_decode('ÁREA RESPONSABLE: '),0, 0, 'L');
$pdf->Cell(160, 5, utf8_decode('SECRETARÍA MUNICIPAL'),0, 0, 'L');
$pdf->Ln(7);

$pdf->Cell(40, 5, utf8_decode('CONCEPTO: '),0, 0, 'L');
$pdf->Cell(160, 5, utf8_decode('CONSTANCIAS EXPEDIDAS POR EL DEPARTAMENTO DE OBRAS PUBLICAS'),0, 0, 'L');
$pdf->Ln(7);

$pdf->Cell(40, 5, utf8_decode('IMPORTE: '),0, 0, 'L');
$pdf->Cell(160, 5, utf8_decode('$ 5000.00'),0, 0, 'L');
$pdf->Ln(7);

function convertirDecenasDeMillonALetra($numero) {
    $unidades = array('', 'uno', 'dos', 'tres', 'cuatro', 'cinco', 'seis', 'siete', 'ocho', 'nueve', 'diez', 'once', 'doce', 'trece', 'catorce', 'quince', 'dieciséis', 'diecisiete', 'dieciocho', 'diecinueve');
    $decenas = array('', '', 'veinte', 'treinta', 'cuarenta', 'cincuenta', 'sesenta', 'setenta', 'ochenta', 'noventa');
    $centenas = array('', 'ciento', 'doscientos', 'trescientos', 'cuatrocientos', 'quinientos', 'seiscientos', 'setecientos', 'ochocientos', 'novecientos');

    if ($numero == 0) {
        return 'cero';
    } elseif ($numero < 0) {
        return 'menos ' . convertirDecenasDeMillonALetra(abs($numero));
    } elseif ($numero < 20) {
        return $unidades[$numero];
    } elseif ($numero < 100) {
        $decena = floor($numero / 10);
        $unidad = $numero % 10;
        if ($unidad == 0) {
            return $decenas[$decena];
        } else {
            return $decenas[$decena] . ' y ' . $unidades[$unidad];
        }
    } elseif ($numero < 1000) {
        $centena = floor($numero / 100);
        $resto = $numero % 100;
        if ($resto == 0) {
            return $centenas[$centena];
        } else {
            return $centenas[$centena] . ' ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 1000000) {
        $miles = floor($numero / 1000);
        $resto = $numero % 1000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($miles) . ' mil';
        } else {
            return convertirDecenasDeMillonALetra($miles) . ' mil ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 100000000) {
        $decenasDeMillon = floor($numero / 1000000);
        $resto = $numero % 1000000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones';
        } else {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones ' . convertirDecenasDeMillonALetra($resto);
        }
    } else {
        return 'Número fuera de rango';
    }
}

$numero = 120;
$numeroEnLetra = convertirDecenasDeMillonALetra($numero);

$pdf->Cell(40, 5, utf8_decode('IMPORTE CON LETRA: '),0, 0, 'L');
$pdf->Cell(160, 5, strtoupper(utf8_decode($numeroEnLetra.' PESOS 00/100 MXN')),0, 0, 'L');
$pdf->Ln(15);

$pdf->SetFont('Arial', '', 9);
$pdf->SetFillColor(200, 200, 200); 
//$pdf->MultiCell(196, 4, strtoupper(utf8_decode($numeroEnLetra)), 1, 'J');
$pdf->MultiCell(196, 5, utf8_decode('Nota: Esta orden de pago es de uso exclusivo para trámites y servicios en el Municipio de Venustiano Carranza, Puebla. No tiene validez oficial como comprobante legal o fiscal.'), 0, 'C', True); 
$pdf->Ln(8);



// Salida del PDF
$pdf->Output();