<?php
session_start();
$id_usuario = $_SESSION['idUser'];
require '../../assets/lib/conexion.php';
require('../../assets/librerias/fpdf/fpdf.php');

$pdf = new FPDF('P','mm','Letter');
$pdf->AddPage();
$pdf->SetTitle(utf8_decode('Carga Académica'));

$pdf->Image('../../assets/img/avatars/recibo_pago.png', 0, 0, $pdf->GetPageWidth(), 0);

$pdf->Image('../../assets/img/avatars/orden de pago.png', 0, 0, $pdf->GetPageWidth(), 0);


$fecha = "2023-08-09";
setlocale(LC_TIME, 'es_ES.UTF-8');

// Convertir la fecha al mes en letra en español
$dia = strftime("%d", strtotime($fecha));
$mesEnLetra = strftime("%B", strtotime($fecha));
$anio = strftime("%Y", strtotime($fecha));

// Restaurar la configuración regional por defecto
setlocale(LC_TIME, '');

$mesEnLetra = strftime("%B", strtotime($fecha));
$pdf->Ln(5);
// Establecer fuente y tamaño
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(154, 5, '',1, 0, 'C');
$pdf->Cell(11, 5, $dia,1, 0, 'C');
$pdf->Cell(20, 5, strtoupper($mesEnLetra),1, 0, 'C');
$pdf->Cell(13, 5, $anio,1, 0, 'C');
$pdf->Ln(24);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(20, 5, '',1, 0, 'L');
$pdf->Cell(180, 5, utf8_decode('URI GAMALILEL JIMÉNEZ LÓPEZ'),1, 0, 'L');
$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(20, 5, '',1, 0, 'L');
$pdf->Cell(180, 5, utf8_decode('EMILIANO ZAPATA No. 10, ESPINAL, VERACRUZ'),1, 0, 'L');
$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(8, 5, '',1, 0, 'L');
$pdf->Cell(70, 5, utf8_decode('JILU990810FF2'),1, 0, 'L');
$pdf->Cell(15, 5, '',1, 0, 'L');
$pdf->Cell(60, 5, utf8_decode('JILU990810HVZMPR06'),1, 0, 'L');
$pdf->Cell(30, 5, utf8_decode('93182'),1, 0, 'L');
$pdf->Cell(17, 5, '',1, 0, 'L');

$pdf->Ln(10);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(37, 5, '',1, 0, 'L');
$pdf->Cell(27, 5, utf8_decode('PARTIDA 1'),1, 0, 'C');
$pdf->Cell(90, 5, utf8_decode('DESCRIPCIÓN'),1, 0, 'C');
$pdf->Cell(40, 5, utf8_decode('$ 1000.00'),1, 0, 'C');

$pdf->Ln(39);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(37, 5, '',1, 0, 'L');
$pdf->Cell(27, 5, utf8_decode(''),1, 0, 'C');
$pdf->Cell(90, 5, utf8_decode(''),1, 0, 'C');
$pdf->Cell(40, 5, utf8_decode('$ 1000.00'),1, 0, 'C');

function convertirDecenasDeMillonALetra($numero) {
    $unidades = array('', 'uno', 'dos', 'tres', 'cuatro', 'cinco', 'seis', 'siete', 'ocho', 'nueve', 'diez', 'once', 'doce', 'trece', 'catorce', 'quince', 'dieciséis', 'diecisiete', 'dieciocho', 'diecinueve');
    $decenas = array('', '', 'veinte', 'treinta', 'cuarenta', 'cincuenta', 'sesenta', 'setenta', 'ochenta', 'noventa');
    $centenas = array('', 'ciento', 'doscientos', 'trescientos', 'cuatrocientos', 'quinientos', 'seiscientos', 'setecientos', 'ochocientos', 'novecientos');

    if ($numero == 0) {
        return 'cero';
    } elseif ($numero < 0) {
        return 'menos ' . convertirDecenasDeMillonALetra(abs($numero));
    } elseif ($numero < 20) {
        return $unidades[$numero];
    } elseif ($numero < 100) {
        $decena = floor($numero / 10);
        $unidad = $numero % 10;
        if ($unidad == 0) {
            return $decenas[$decena];
        } else {
            return $decenas[$decena] . ' y ' . $unidades[$unidad];
        }
    } elseif ($numero < 1000) {
        $centena = floor($numero / 100);
        $resto = $numero % 100;
        if ($resto == 0) {
            return $centenas[$centena];
        } else {
            return $centenas[$centena] . ' ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 1000000) {
        $miles = floor($numero / 1000);
        $resto = $numero % 1000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($miles) . ' mil';
        } else {
            return convertirDecenasDeMillonALetra($miles) . ' mil ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 100000000) {
        $decenasDeMillon = floor($numero / 1000000);
        $resto = $numero % 1000000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones';
        } else {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones ' . convertirDecenasDeMillonALetra($resto);
        }
    } else {
        return 'Número fuera de rango';
    }
}

$numero = 120;
$numeroEnLetra = convertirDecenasDeMillonALetra($numero);

$pdf->Ln(8);
$pdf->SetFont('Arial', 'B', 9);
$pdf->Cell(102, 5, '',1, 0, 'L');
$pdf->MultiCell(98, 4, strtoupper(utf8_decode($numeroEnLetra)), 1, 'J');
//$pdf->Cell(80, 5, strtoupper(utf8_decode($numeroEnLetra)),1, 0, 'L');



// Salida del PDF
$pdf->Output();