<?php
require '../../assets/lib/conexion.php';
require('../../assets/librerias/fpdf/fpdf.php');

$fechaHoraActual = date('d-m-Y H:i:s');
$fechaActual = date('Y-m-d');

$query = "SELECT * FROM recibo_pago AS RP 
INNER JOIN orden_pago AS OP ON RP.id_orden=OP.id_orden 
INNER JOIN conceptos_pagar AS CP ON CP.id_orden=OP.id_orden
INNER JOIN concepto_recaudacion AS CR ON CR.id_concepto_recaudacion=CP.id_concepto_recaudacion
INNER JOIN areas_administrativas A ON A.id_area=CR.id_area 
WHERE RP.estatus_recibo='PAGADO' AND OP.estatus_orden='PAGADO' AND RP.fecha_recibo= '$fechaActual'";
$resultado = $mysqli->query($query);

$suma = "SELECT SUM(OP.total_orden ) as suma_total FROM orden_pago AS OP 
INNER JOIN recibo_pago AS RP ON RP.id_orden=OP.id_orden 
WHERE RP.estatus_recibo='PAGADO' AND OP.estatus_orden='PAGADO' AND RP.fecha_recibo= '$fechaActual'";
$resultadoSuma = $mysqli->query($suma);
$rowSuma = $resultadoSuma->fetch_assoc();

// Crear un PDF en orientación horizontal (paisaje)
$pdf = new FPDF('L'); // 'L' indica orientación horizontal

// Establecer el tamaño de página a hoja carta
$pdf->AddPage('L', 'Letter'); // 'L' para orientación horizontal, 'Letter' para hoja carta

$pdf->Image('../../assets/img/avatars/HOJA PARA REPORTES DE INGRESOS.png', 0, 0, 280, 215, 'PNG');


// Definir el estilo de fuente para los datos
$pdf->SetFont('Arial', 'B', 11);

$pdf->Cell(0, 5, 'REPORTE DE INGRESOS DIARIO', 0, 1, 'C'); // La anchura 0 significa que se extiende hasta el final de la página

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 6, '', 0, 0, 'R');
$pdf->Cell(230, 6, utf8_decode('FECHA Y HORA DE IMPRESIÓN: ' . $fechaHoraActual), 0, 0, 'R');
$pdf->Ln(8);

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(25, 5, utf8_decode('FOLIO RECIBO'), 1, 0, 'C');
$pdf->Cell(95, 5, utf8_decode('CONCEPTO DE RECAUDACIÓN'), 1, 0, 'C');
$pdf->Cell(80, 5, utf8_decode('AREA ADMINISTRATIVA'), 1, 0, 'C');
$pdf->Cell(30, 5, utf8_decode('FECHA'), 1, 0, 'C');
$pdf->Cell(30, 5, utf8_decode('IMPORTE'), 1, 0, 'C');
$pdf->Ln(5);
if ($resultado->num_rows > 0) {
    while ($row = $resultado->fetch_assoc()) {
        $pdf->SetFont('Arial', '', 7);
        $pdf->Cell(25, 5, utf8_decode($row['folio_recibo']), 1, 0, 'C');
        $pdf->Cell(95, 5, utf8_decode($row['descripcion_concepto_recaudacion']), 1, 0, 'L');
        $pdf->Cell(80, 5, utf8_decode($row['nombre_area']), 1, 0, 'L');
        $pdf->Cell(30, 5, utf8_decode(date("d/m/Y", strtotime($row["fecha_recibo"]))), 1, 0, 'C');
        $pdf->Cell(30, 5, utf8_decode('$' . $row['importe_concepto'] . '.00'), 1, 0, 'R');
        $pdf->Ln(5);
    }
}else{
    $pdf->Cell(260, 5, utf8_decode("NO SE ENCONTRARON RESULTADOS."), 1, 0, 'C');
}

$pdf->SetFont('Arial', '', 7);
$pdf->Cell(25, 5, utf8_decode(''), 0, 0, 'C');
$pdf->Cell(95, 5, utf8_decode(''), 0, 0, 'L');
$pdf->Cell(80, 5, utf8_decode(''), 0, 0, 'L');
$pdf->Cell(30, 5, utf8_decode('TOTAL'), 1, 0, 'R');
$pdf->Cell(30, 5, utf8_decode('$' . $rowSuma['suma_total'] . '.00'), 1, 0, 'R');
$pdf->Ln(5);
// Obtener la ruta del archivo generado
$rutaArchivo = '../pdf/reporte-' . $fechaActual . '.pdf';

// Devolver la ruta del archivo como respuesta al cliente

// Guardar el PDF en un archivo
//$pdf->Output($rutaArchivo, 'F');
$pdf->Output();

echo json_encode(array('respuesta' => $rutaArchivo, 'result' => '1'));
