<?php
require '../../assets/lib/conexion.php';
require('../../assets/librerias/fpdf/fpdf.php');

$fechaHoraActual = date('Y-m-d H:i:s');

$query = "SELECT * FROM recibo_pago AS RP 
INNER JOIN orden_pago AS OP ON OP.id_orden=RP.id_orden 
INNER JOIN conceptos_pagar AS CP ON CP.id_orden_pago=OP.id_orden 
INNER JOIN concepto_recaudacion AS CR ON CR.id_concepto_recaudacion=CP.id_concepto_recaudacion 
INNER JOIN usuarios AS U ON U.id_usuario=OP.id_usuario 
INNER JOIN areas_administrativas AS A ON A.id_area=U.id_area 
WHERE RP.fecha_recibo BETWEEN '$fecha_inicial' AND '$fecha_final'";
$resultado = $mysqli->query($query);

// Crear un PDF en orientación horizontal (paisaje)
$pdf = new FPDF('L'); // 'L' indica orientación horizontal

// Establecer el tamaño de página a hoja carta
$pdf->AddPage('L', 'Letter'); // 'L' para orientación horizontal, 'Letter' para hoja carta

$pdf->Image('../../assets/img/avatars/HOJA PARA REPORTES DE INGRESOS.png', 0, 0, 280, 215, 'PNG');


// Definir el estilo de fuente para los datos
$pdf->SetFont('Arial', 'B', 11);

$pdf->Cell(0, 5, 'REPORTE DE INGRESOS TODAS LAS AREAS', 0, 1, 'C'); // La anchura 0 significa que se extiende hasta el final de la página

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 6, '', 0, 0, 'R');
$pdf->Cell(230, 6, utf8_decode('FECHA Y HORA DE IMPRESIÓN: ' . $fechaHoraActual), 0, 0, 'R');
$pdf->Ln(8);

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(25, 5, utf8_decode('FOLIO RECIBO'), 1, 0, 'C');
$pdf->Cell(95, 5, utf8_decode('CONCEPTO DE RECAUDACIÓN'), 1, 0, 'C');
$pdf->Cell(80, 5, utf8_decode('AREA ADMINISTRATIVA'), 1, 0, 'C');
$pdf->Cell(30, 5, utf8_decode('FECHA'), 1, 0, 'C');
$pdf->Cell(30, 5, utf8_decode('TOTAL'), 1, 0, 'C');
$pdf->Ln(5);

$total = 0;
while ($row = $resultado->fetch_assoc()) {
    $total = $total + intval($row['total_orden']);
    $pdf->SetFont('Arial', '', 7);
    $pdf->Cell(25, 5, utf8_decode($row['folio_recibo']), 1, 0, 'C');
    $pdf->Cell(95, 5, utf8_decode($row['descripcion_concepto_recaudacion']), 1, 0, 'L');
    $pdf->Cell(80, 5, utf8_decode($row['nombre_area']), 1, 0, 'L');
    $pdf->Cell(30, 5, utf8_decode($row['fecha_recibo']), 1, 0, 'C');
    $pdf->Cell(30, 5, utf8_decode('$' . $row['total_orden'] . '.00'), 1, 0, 'R');
    $pdf->Ln(5);
}
$pdf->Cell(25, 5, utf8_decode(''), 0, 0, 'C');
$pdf->Cell(95, 5, utf8_decode(''), 0, 0, 'C');
$pdf->Cell(80, 5, utf8_decode(''), 0, 0, 'C');
$pdf->Cell(30, 5, utf8_decode('TOTAL'), 1, 0, 'C');
$pdf->Cell(30, 5, utf8_decode('$ '.$total.'.00'), 1, 0, 'C');
$pdf->Ln(5);

$longitud = 20;
$caracteres = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
$folio = '';

for ($i = 0; $i < $longitud; $i++) {
    $folio .= $caracteres[rand(0, strlen($caracteres) - 1)];
}

// Obtener la ruta del archivo generado
$rutaArchivo = '../pdf/reporte-' . $fecha_inicial . '_' . $fecha_final . '_' . $folio . '.pdf';

// Devolver la ruta del archivo como respuesta al cliente

// Guardar el PDF en un archivo
$pdf->Output($rutaArchivo, 'F');
//$pdf->Output();

echo $rutaArchivo;
