<?php
// Conectar a la base de datos (reemplazar con tus propios datos)
$conexion = new mysqli("localhost", "root", "", "ingresos_vc");

// Verificar la conexión
if ($conexion->connect_error) {
    die("La conexión a la base de datos falló: " . $conexion->connect_error);
}

// Obtener el país seleccionado desde la solicitud AJAX
$selectedCountry = $_POST['country'];

// Consulta SQL para obtener las ciudades del país seleccionado
$sql = "SELECT id_concepto_recaudacion, descripcion_concepto_recaudacion FROM concepto_recaudacion WHERE id_area = ?"; // Asume una estructura de tabla apropiada

// Preparar la consulta
$stmt = $conexion->prepare($sql);
$stmt->bind_param("s", $selectedCountry);

// Ejecutar la consulta
$stmt->execute();

// Obtener resultados
$result = $stmt->get_result();

// Crear un arreglo asociativo de ciudades
$ciudades = array();

while ($row = $result->fetch_assoc()) {
    $ciudades[$row['id_concepto_recaudacion']] = $row['descripcion_concepto_recaudacion'];
}

// Cerrar la conexión a la base de datos
$stmt->close();
$conexion->close();

// Enviar las ciudades como JSON
header('Content-Type: application/json');
echo json_encode($ciudades);
?>
