<?php
session_start(); // Asegurarse de que se ha iniciado la sesión
error_reporting(0);
?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php'; ?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/tesorero_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <h3 class="text-dark mb-1">Generar Reportes de Ingresos "General"</h3>
                    <hr>
                    <div class="row mb-5">
                        <div class="col-md-12 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters mb-5">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-info fw-bold mb-3"><span>Completa todos los campos * para generar el reporte.</span></div>
                                            <div class="text-dark fw-bold h5 mb-0"><span></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-file-invoice-dollar fa-3x text-gray-300"></i></div>
                                    </div>
                                    <form id="formGenerarReportes">
                                        <div class="row mb-5">
                                            <div class="col-md-2">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha inicial *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaInicialView" placeholder="Municipio" name="fechaInicialView">
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha final *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaFinalView" placeholder="Municipio" name="fechaFinalView">
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Área administrativa *</strong><br>
                                                    </label>
                                                    <select class="form-select" id="areasAdministrativas" name="areasAdministrativas">
                                                        <option selected disabled>--- SELECCIONAR ---</option>
                                                    </select>
                                                </div>
                                            </div><div class="col-md-3">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Conceptos de pago *</strong><br>
                                                    </label>
                                                    <select class="form-select" id="conceptoPago" name="conceptoPago">
                                                        <option selected disabled>--- SELECCIONAR ---</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-2 d-grid gap-2 d-md-block">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <br>
                                                    </label>
                                                    <div class="d-grid gap-2">
                                                        <button id="bntGenerarReporte" class="btn btn-outline-info" type="button">Generar Reporte</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                    <div class="row">
                                        <div class="col-md-2"></div>
                                        <div class="col-md-8">
                                            <div id="pdfContainer" style="display: none;"></div>
                                        </div>
                                        <div class="col-md-2"></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/tesorero_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
    <script>
        $.ajax({
            url: "../../master/model/mostrarAreasModel.php",
            dataType: "json",
            success: function(data) {
                $.each(data, function(key, value) {
                    $("#areasAdministrativas").append(
                        '<option value="'+value.id_area + '">' + value.nombre_area + "</option>"
                        
                    );
                    
                });
            },
        });


        $("#areasAdministrativas").change(function() {
            var selectedCountry = $(this).val();

            // Hacer una solicitud AJAX para obtener las ciudades
            $.ajax({
                type: "POST", // Puedes usar POST o GET según tus necesidades
                url: "../model/mostrarSelectConceptos.php",
                data: { country: selectedCountry },
                dataType: "json",
                success: function(data) {
                    // Habilitar el segundo select y cargar las ciudades
                    $("#conceptoPago").prop("disabled", false);
                    $("#conceptoPago").html(""); // Limpiar las opciones existentes

                    // Agregar las opciones de ciudades
                    $.each(data, function(key, value) {
                        $("#conceptoPago").append('<option value="' + key + '">' + value + '</option>');
                    });
                    $("#conceptoPago").append('<option value="TODOS">TODOS</option>');
                },
                error: function() {
                    alert("Hubo un error al cargar los conceptos.");
                }
            });
        });


        document.getElementById('bntGenerarReporte').addEventListener('click', function() {



            var fechaInicialView = document.getElementById("fechaInicialView").value;
            var fechaFinalView = document.getElementById("fechaFinalView").value;
            var areasAdministrativas = document.getElementById("areasAdministrativas").value;

            if (fechaInicialView === "") {
                Swal.fire({
                    title: "Todos los campos * son obligatorios",
                    text: "Ingresa una fecha inicial para generar el reporte",
                    icon: "warning",
                });
                return false;
            } else if (fechaFinalView === "") {
                Swal.fire({
                    title: "Todos los campos * son obligatorios",
                    text: "Ingresa una fecha final para generar el reporte",
                    icon: "warning",
                });
                return false;
            } else if (areasAdministrativas === "") {
                Swal.fire({
                    title: "Todos los campos * son obligatorios",
                    text: "Seleccione un área administrativa para generar el reporte",
                    icon: "warning",
                });
                return false;
            } else {
                var datos = $(this).serializeArray(); //datos serializados
                var imagen = new FormData($("#formGenerarReportes")[0]);
                //agergaremos los datos serializados al objecto imagen
                $.each(datos, function(key, input) {
                    imagen.append(input.name, input.value);
                });
                Swal.fire({
                    title: "Generar reporte?",
                    text: "¿Estás seguro de que deseas generar el siguiente reporte?",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonText: "Sí, Generar",
                    cancelButtonText: "Cancelar",
                }).then((result) => {
                    if (result.isConfirmed) {
                        //?aqui se enviar los datos al servidor por medio de ajax
                        $.ajax({
                            url: "../controller/generarReportePdfController.php",
                            type: "POST",
                            dataType: "json",
                            data: imagen,
                            contentType: false,
                            processData: false,
                        }).done(function(respuesta) {
                            console.log(respuesta);
                            if (!respuesta.error) {
                                if (respuesta.result == "1") {
                                    Swal.fire({
                                        icon: "success",
                                        title: "Reporte generado!",
                                        text: "El reporte de ingresos se ha generado de manera exitosa...",
                                        showConfirmButton: false,
                                        timer: 1500,
                                    });
                                    $("#formGenerarReportes")[0].reset();
                                    // Mostrar el PDF generado en el elemento embed
                                    $('#pdfContainer').html('<embed src="' + respuesta.respuesta + '" type="application/pdf" width="100%" height="400px" />');
                                    $('#pdfContainer').show();
                                }

                            } else {
                                Swal.fire({
                                    icon: "error",
                                    title: "Upps!",
                                    text: "Ocurrio un error, no se guardo la información",
                                });
                            }
                        });

                        //?aqui termina de enviar los datos al servidor

                        // Aquí puedes realizar la acción autorizada
                    } else {
                        Swal.fire({
                            title: "Acción cancelada",
                            text: "La acción ha sido cancelada",
                            icon: "info",
                            confirmButtonText: "Aceptar",
                        });
                        // Aquí puedes manejar la acción de cancelación
                    }
                });
            }




        });
    </script>
</body>

</html>